com.pixelmed.dose

## Class SourceOfDoseInformation

- java.lang.Object
- - com.pixelmed.dose.SourceOfDoseInformation

-     public class SourceOfDoseInformation
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SourceOfDoseInformation` | `AUTOMATED_DATA_COLLECTION`
    `static SourceOfDoseInformation` | `COMPUTED_FROM_IMAGE_ATTRIBUTES`
    `static SourceOfDoseInformation` | `COPIED_FROM_IMAGE_ATTRIBUTES`
    `static SourceOfDoseInformation` | `DERIVED_FROM_HUMAN_READABLE_REPORTS`
    `static SourceOfDoseInformation` | `DOSIMETER`
    `static SourceOfDoseInformation` | `MANUAL_ENTRY`
    `static SourceOfDoseInformation` | `MPPS_CONTENT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CodedSequenceItem` | `getCodedSequenceItem()`
    `static CodedSequenceItem` | `getCodedSequenceItem(SourceOfDoseInformation role)`
    `static SourceOfDoseInformation` | `getSourceOfDoseInformation(ContentItem parent)`
    `java.lang.String` | `toString()`
    `java.lang.String` | `toStringAbbreviation()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### AUTOMATED_DATA_COLLECTION

          public static final SourceOfDoseInformation AUTOMATED_DATA_COLLECTION

    - #### MANUAL_ENTRY

          public static final SourceOfDoseInformation MANUAL_ENTRY

    - #### MPPS_CONTENT

          public static final SourceOfDoseInformation MPPS_CONTENT

    - #### DOSIMETER

          public static final SourceOfDoseInformation DOSIMETER

    - #### COPIED_FROM_IMAGE_ATTRIBUTES

          public static final SourceOfDoseInformation COPIED_FROM_IMAGE_ATTRIBUTES

    - #### COMPUTED_FROM_IMAGE_ATTRIBUTES

          public static final SourceOfDoseInformation COMPUTED_FROM_IMAGE_ATTRIBUTES

    - #### DERIVED_FROM_HUMAN_READABLE_REPORTS

          public static final SourceOfDoseInformation DERIVED_FROM_HUMAN_READABLE_REPORTS

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toStringAbbreviation

          public java.lang.String toStringAbbreviation()

    - #### getSourceOfDoseInformation

          public static SourceOfDoseInformation getSourceOfDoseInformation(ContentItem parent)

    - #### getCodedSequenceItem

          public static CodedSequenceItem getCodedSequenceItem(SourceOfDoseInformation role)
                                                        throws DicomException

      Throws:
        `DicomException`

    - #### getCodedSequenceItem

          public CodedSequenceItem getCodedSequenceItem()
                                                 throws DicomException

      Throws:
        `DicomException`